#ifndef _UART_H
	
	#define _UART_H


	#define 	TX0		PE1
	#define 	RX0		PE0

	#define 	USART_BAUDRATE 	250000
	#define 	BAUD_PRESCALE (((F_CPU / (USART_BAUDRATE * 16UL))) - 1)
		
//----------------------------------------------------------------------------
	
	#include <avr/interrupt.h>
	#include <avr/io.h>

	static 	uint16_t	rx0_cnt = 513;
	static 	uint16_t	tx0_cnt;


	void set_timer0 (uint8_t preload, uint8_t prescale);

	struct{
		unsigned rx0:1;
		unsigned tx0:1;
		} usart_status;

	// define rx buffer arrays
	uint8_t rx0_buffer[513];
	
	
	
//----------------------------------------------------------------------------

#endif //_UART_H
